## LassoIdWsf2DiscoEndpointContext LassoIdWsf2DiscoEndpointContext — <disco:EndpointContext> |

## Functions

LassoIdWsf2DiscoEndpointContext * | lasso_idwsf2_disco_endpoint_context_new ()
LassoIdWsf2DiscoEndpointContext * | lasso_idwsf2_disco_endpoint_context_new_full ()

## Types and Values

struct | LassoIdWsf2DiscoEndpointContext

## Description

Figure 145. Schema fragment for disco:EndpointContext

    <xs:complexType name="EndpointContextType">
      <xs:sequence>
        <xs:element ref="Address"        maxOccurs="unbounded" />
        <xs:element ref="sbf:Framework"  maxOccurs="unbounded" />
        <xs:element ref="SecurityMechID" maxOccurs="unbounded" />
        <xs:element ref="Action"         minOccurs="0"
          maxOccurs="unbounded" />
        </xs:sequence>
      </xs:complexType>

## Functions

### lasso_idwsf2_disco_endpoint_context_new ()

    LassoIdWsf2DiscoEndpointContext *
    lasso_idwsf2_disco_endpoint_context_new
                                   (void);

Creates a new LassoIdWsf2DiscoEndpointContext object.

#### Returns

a newly created LassoIdWsf2DiscoEndpointContext object

### lasso_idwsf2_disco_endpoint_context_new_full ()

    LassoIdWsf2DiscoEndpointContext *
    lasso_idwsf2_disco_endpoint_context_new_full
                                   (const gchar *address);

## Types and Values

### struct LassoIdWsf2DiscoEndpointContext

    struct LassoIdWsf2DiscoEndpointContext {
    	LassoNode parent;

    	/* elements */
    	GList *Address; /* of strings */
    	GList *Framework; /* of LassoNode */
    	GList *SecurityMechID; /* of strings */
    	GList *Action; /* of strings */
    };